{ -------------------------------------------------------------------------- }
{ BigIni demo							    eh970825 }
{ -------------------------------------------------------------------------- }
unit udemo;

interface

uses
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls,
  BigIni;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    ButtonDemo: TButton;
    Memo2: TMemo;
    CheckBoxDropCommentLines: TCheckBox;
    CheckBoxFilterOutInvalid: TCheckBox;
    CheckBoxDropWhiteSpace: TCheckBox;
    CheckBoxDropApostrophes: TCheckBox;
    Label1: TLabel;
    Label2: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure ButtonDemoClick(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    BigIniFile : TBiggerIniFile;
    FFileName  : String;
  public
    { none }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  FFileName  := ExtractFilePath(Application.ExeName)+'demo.ini';
  BigIniFile := TBiggerIniFile.Create(''); { no filename now}
  with BigIniFile do
  begin
    CheckboxDropCommentLines.Checked := FlagDropCommentLines;
    CheckboxFilterOutInvalid.Checked := FlagFilterOutInvalid;
    CheckboxDropWhiteSpace.Checked   := FlagDropWhiteSpace;
    CheckboxDropApostrophes.Checked  := FlagDropApostrophes;
  end;
end;

procedure TForm1.ButtonDemoClick(Sender: TObject);
begin
  { save Lines to disk (again) to get test data: }
  Memo1.Lines.SaveToFile(FFileName);

  with BigIniFile do
  begin
    FlagDropCommentLines := CheckboxDropCommentLines.Checked;
    FlagFilterOutInvalid := CheckboxFilterOutInvalid.Checked;
    FlagDropWhiteSpace   := CheckboxDropWhiteSpace.Checked;
    FlagDropApostrophes  := CheckboxDropApostrophes.Checked;

    { load file: }
    FileName := FFilename;
                                
    { now, load the result to the second memo: }
    memo2.lines.clear;
    readall(memo2.lines);

    filename := '';
  end;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  BigIniFile.Free;
end;


end.
